## org.biojava.bio.seq.db
Class IDMaker.ByURN

    java.lang.Object
      |
      +--org.biojava.bio.seq.db.IDMaker.ByURN

Enclosing class:
  IDMaker

public static class IDMaker.ByURN
extends java.lang.Object
implements java.io.Serializable, IDMaker

See Also:
  Serialized Form

Inner classes inherited from class org.biojava.bio.seq.db.IDMaker
`IDMaker.ByName, IDMaker.ByURN`

Fields inherited from interface org.biojava.bio.seq.db.IDMaker
`byName, byURN`

Constructor Summary
`IDMaker.ByURN()`

Method Summary
`java.lang.String` `calcID(Sequence seq)` Calculate the id for a sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDMaker.ByURN

    public IDMaker.ByURN()

Method Detail

### calcID

    public java.lang.String calcID(Sequence seq)

  Description copied from interface: IDMaker
  Calculate the id for a sequence.

  Each unique sequence should return a unique ID.

  Specified by:
    calcID in interface IDMaker
  Tags copied from interface: IDMaker
  Parameters:
    `seq` - the sequence to ID
  Returns:
    the id for the sequence